# Package org.apache.felix.bundlerepository

Interface Summary
Interface | Description
--- | ---
Capability | A named set of properties representing some capability that is provided by its owner.
DataModelHelper |
LocalResource |
Property |
Reason | A pair of requirement and resource indicating a reason why a resource has been chosen.
Repository | Represents a repository.
RepositoryAdmin | Provides centralized access to the distributed repository.
Requirement | A named requirement specifies the need for certain capabilities with the same name.
Resolver |
Resource | A resource is an abstraction of a downloadable thing, like a bundle.

Exception Summary
Exception | Description
--- | ---
InterruptedResolutionException | Exception thrown by the resolver if the resolution has been interrupted.